/*  Defines for the program:						*/
/*  MULTIPLEX:	Define if you want multiplexed output (not  finished).	*/
/*  RESPONSE:	Instrument response: 1 = velocity, 2 = acceleration.	*/
/*  DEBUG:	Define if you want debugging output enabled.		*/
/*	$Id: params.h,v 1.1 1993/07/06 19:20:32 doug Exp $ 	*/

#define	    NULLDEV	"/dev/null"
#undef	    MULTIPLEX	
#define	    RESPONSE	1

#define	    DEBUG
#define	    DEBUG_SLEW	1
#define	    DEBUG_TIME	2
#define	    DEBUG_BLOCK	4
#define	    DEBUG_HDRS	8
#define	    DEBUG_FLAG	16
#define	    DEBUG_STREAM 32
#define	    DEBUG_OUT	64
#define	    DEBUG_ANY	\
    (DEBUG_BLOCK | DEBUG_HDRS | DEBUG_SLEW | DEBUG_TIME | DEBUG_FLAG | \
     DEBUG_STREAM | DEBUG_OUT)
#define	    debug(val)  (debug_option & (val))

/*  Global parameters used throughout the program.			*/
/*  Size of a "Steim-compression" frame in bytes.			*/
/*  FRAMESIZE:	size of a data frame within the input block.		*/
/*  MAX_BLKSIZE:    Maximum blocksize for input data.			*/

#define	    FRAMESIZE		64
#define	    MAX_BLKSIZE		4096
#define	    BUFSIZE		8192

/*  Keys used to control stream header creation and manipulation.	*/
#define	    HDR_INIT		1
#define	    HDR_FLUSH		2

#define	UNK_HDR_TYPE	0
#define	QDA_HDR_TYPE	1
#define	SDR_HDR_TYPE	2
#define	DRM_HDR_TYPE	3

#define	DBX_FMT		0
#define	FLAT_FMT	1

#define	QDA_HDR_SIZE	64
#define	SDR_HDR_SIZE	64
#define	DRM_HDR_SIZE	64	/* This is WRONG -- look it up! */
#define	DRM_FILE_HDR_SIZE	sizeof(STORE_FILE_HEAD)
#define	MAX_HDR_SIZE		sizeof(STORE_FILE_HEAD)

#define	TOL(rate)		((SPS_RATE(rate)*.2)*SUBSEC_PER_SEC)


#define	SMALL_BLOCK_BIAS	1
#define	LARGE_BLOCK_BIAS	2
#define	NO_BIAS			0
#define	START_BIAS		SMALL_BLOCK_BIAS
#define	RUN_BIAS		NO_BIAS

